Subject: Re: bug#71840: 30.0.60; Reference to non-existent variable in c-opt-extra-label-key docstring

From: Stefan Kangas <[email-masked]>
Date: Sun, 30 Jun 2024 16:31:02 -0700

Alan Mackenzie <[email-masked]> writes:

> Hello, Stefan.
>
> On Sat, Jun 29, 2024 at 06:12:10 -0700, Stefan Kangas wrote:
>> There is a reference to a variable `c-nonlabel-decl-prefix-re` in the
>> `c-opt-extra-label-key` docstring (cc-langs.el:4400), but I can't find
>> that variable anywhere in our tree.
>
> How on Earth did you spot that?  :-)

I have a (very ugly and very slow) shell script that looks for symbols
that only show up once in our sources.  Many of them turn out to be
typos, though there is also a long list of false positives that it
ignores.

> I'll fix the documentation in the next day or so.

Thanks!